# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Irssi.pm) perl(Irssi/UI.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Net-Gadu
%define upstream_version 1.9

Summary:	Perl module to support Gadu-Gadu protocol
%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_27
License:	LGPLv2+
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libgadu)
BuildRequires:  chrpath
Source44: import.info


%description
Net-Gadu is a perl module. It is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
make test

%install
%makeinstall_std
find %{buildroot}%{perl_vendor_archlib} -type f | xargs chmod u+w
install ex/ex1 example.pl
chrpath -d %{buildroot}%{perl_vendor_archlib}/auto/Net/Gadu/Gadu.so

%files
%doc Changes README example.pl contrib
%{perl_vendor_archlib}/auto/Net
%{perl_vendor_archlib}/Net


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.9-alt7_27
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt7_26
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.9-alt6_26
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt6_25
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 1.9-alt6_24
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt6_23
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt5_23
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.9-alt4_23
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.9-alt3_23
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.9-alt3_22
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.9-alt3_21
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt3_20
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_20
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_19
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_18
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_18
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_17
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_16
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt6_15
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 1.9-alt5_15
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.9-alt5_14
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt5_13
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 1.9-alt4_13
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.9-alt4_11
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt4_10
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.9-alt3_10
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt3_9
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_9
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt2_8
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.9-alt2_7
- rebuild with new perl

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_7
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_5
- converted for ALT Linux by srpmconvert tools

